> For the complete documentation index, see [llms.txt](https://docs.omics.ai/products/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.omics.ai/products/command-line-interface/reference/workbench/storage-delete.md).

# storage delete

## storage delete

### Synopsis

```shell
omics workbench storage delete STORAGE_ID
  [--force]
```

### Description

Delete a specified storage account, prompting for confirmation before deleting. This operation does delete the underlying platforms.

## Examples

The basic usage of this command is for deleting a storage account. When running the command below, you will be prompted to confirm whether you want to actually delete the storage account.

```shell
omics workbench storage delete my-aws-account
```

If you are running the command in a script (or do not want to be prompted), you can specify the `--force` command line flag.

```shell
omics workbench storage delete my-aws-account
  --force
```

### Positional Arguments

#### `STORAGE_ID`

The user-defined ID of the storage account to delete.

## Flags

### `--force`

Force the deletion without prompting for confirmation.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.omics.ai/products/command-line-interface/reference/workbench/storage-delete.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
